Skip to main content
`Ctrl`+`K`

# MultiGraph.__len__

MultiGraph.__len__()

  Returns the number of nodes in the graph. Use: ‘len(G)’.

  Returns:
    nnodes int

      The number of nodes in the graph.

  See also

  `number_of_nodes`

    identical method

  `order`

    identical method

  Examples

      >>> G = nx.path_graph(4)  # or DiGraph, MultiGraph, MultiDiGraph, etc
      >>> len(G)
      4